MD5SUM(1)

NAVN
md5sum - compute and check MD5 message digest

OVERSIKT
md5sum [VALG]... [FIL]...

BESKRIVELSE

Print or check MD5 (128-bit) checksums. Legacy interface to the cksum utility.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

-b, --binary
    Les i binærmodus.

-c, --check
    Les kontrollsummer fra FILEne, og kontroller dem.

--tag
    Lag en kontrollsum i BSD-stil.

-t, --text
    Les i tekstmodus (standard).

-z, --zero
    Avslutt hver linje med NUL i stedet for ny linje og slå av skiftetegn for filnavn.

  Følgende fem valg er bare nyttige ved sjekk av kontrollsummer:

--ignore-missing
    Ikke avslutt eller gi feilkode ved manglende fil.

--quiet
    Ikke skriv ut OK for hver fil som blir kontrollert.

--status
    Ikke skriv ut noen ting (bruk statuskoder i stedet).

--strict
    Avslutt med feilkode ved feilformaterte sjekksumlinjer.

-w, --warn
    Advar mot feilformaterte kontrollsumlinjer.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Summene beregnes som beskrevet i RFC 1321. Ved kontroll bør inndata bestå av tidligere utdata fra programmet. Standard prosedyre er at programmet skriver ut en linje med kontrollsum, mellomrom, et tegn som indikerer lesemodus («*» betyr binær, mellomrom betyr tekst) og et filnavn per FIL.

Det er ingen praktisk forskjell på binær modus og tekstmodus på GNU-systemer.

PROGRAMFEIL
Do not use the MD5 algorithm for security related purposes. Instead, use an SHA-2, SHA-3, or BLAKE2 algorithm, implemented in the cksum(1) program.

FORFATTER
Skrevet av Ulrich Drepper, Scott Miller og David Madore.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2026 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
cksum(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/md5sum>
eller lokalt: info '(coreutils) md5sum invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.